# Function TableActionMethod

- TableActionMethod<Data = any>(options: TableActionMethodOptions): ClassDecorator

  #### Type Parameters

  - Data = any

  #### Parameters

  - options: TableActionMethodOptions

  #### Returns ClassDecorator

  - Defined in packages/angular/material/table-system/src/lib/table-row-actions/decorators.ts:55
- TableActionMethod<Data = any>(
  type: string,
  checkFunction?: RowActionCheckFunction<Data>,
  ): ClassDecorator

  #### Type Parameters

  - Data = any

  #### Parameters

  - type: string
  - `Optional` checkFunction: RowActionCheckFunction<Data>

  #### Returns ClassDecorator

  - Defined in packages/angular/material/table-system/src/lib/table-row-actions/decorators.ts:56